Package org.eclipse.lemminx.extensions.references.search

## Interface IXMLReferenceCollector

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface IXMLReferenceCollector

API to collect from/to attribute, text nodes which matches `XMLReferenceExpression.matchTo(org.w3c.dom.Node)`

Author:
  Angelo ZERR

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `collect​(SearchNode fromSearchNode, SearchNode toSearchNode, XMLReferenceExpression expression)` Collect the from / to search node which matches the given expression.

### Method Detail

#### collect

    void collect​(SearchNode fromSearchNode,
                 SearchNode toSearchNode,
                 XMLReferenceExpression expression)

Collect the from / to search node which matches the given expression.

Parameters:
  `fromSearchNode` - the from attribute, text node to collect.
  `toSearchNode` - the to attribute, text node to collect.
  `expression` - the reference expression which matches the from / to node.